function regexTopicSubject() {
    var name = $("#message_subject").val();
    if(name.length ==0)
    {
        $("#subjectmsg").text("标题不能为空");
        $("#subjectmsg").css('color','#ff0000');
        $("#message_subject").focus();
        return false;
    }
    else if(name.length <= 255)
    {
        $("#subjectmsg").text("填写正确");
        $("#subjectmsg").css('color','#008000');
        return true;
    }
    else
    {
        $("#subjectmsg").text("标题超过255个字符");
        $("#subjectmsg").css('color','#ff0000');
        $("#message_subject").focus();
        return false;
    }
}

function submit_article()
{
    if(regexTopicSubject() && regexTopicDescription())
    {
        message_content_editor.sync();
        $("#message-form").submit();
    }
}

function regexTopicDescription()
{
    var name = message_content_editor.html();
    if(message_content_editor.isEmpty())
    {
        $("#message_content_span").text("描述不能为空");
        $("#message_content_span").css('color','#ff0000');
        return false;
    }
    else if(name.length >=20000){
        $("#message_content_span").text("描述最多20000个汉字(或40000个英文字符)");
        $("#message_content_span").css('color','#ff0000');
        return false;
    }
    else
    {
        $("#message_content_span").text("填写正确");
        $("#message_content_span").css('color','#008000');
        return true;
    }
}

function MessageReplayVevify() {
    var content = message_content_editor.html();//$.trim($("#message_content").val());
    if (message_content_editor.isEmpty()) {
        $("#message_content_span").text("回复不能为空");
        $("#message_content_span").css('color', '#ff0000');
        return  false;
    }
    else {
        $("#message_content_span").text("填写正确");
        $("#message_content_span").css('color', '#008000');
        return true;
    }
}
function submit_message_replay()
{
    if(MessageReplayVevify())
    {
        message_content_editor.sync();//提交内容之前要sync，不然服务器端取不到值
        $("#message_form").submit();
    }
}

function canel_message_replay()
{
    $("#reply").hide(200);
    $("#message_quote").html("");
}
